OpenBrowse
v3 API referencev3/profiles/profile_id/storage-state

Put Storage State

Import a cookie jar into a profile, creating the profile if it does not exist yet.

Put Storage State. Send this to your own instance, replacing your-host with the hostname it answers on.

curl -X PUT "https://your-host/v3/profiles/{profile_id}/storage-state" \
  -H "Authorization: Bearer $OPENBROWSE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
PUT
/v3/profiles/{profile_id}/storage-state

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

profile_id*Profile Id

Header Parameters

x-browser-use-api-key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v3/profiles/string/storage-state" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "userId": "string",  "name": "string",  "lastUsedAt": "string",  "createdAt": "string",  "updatedAt": "string",  "cookieDomains": [    "string"  ]}